﻿Type=StaticCode
Version=2.22
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	
	Dim SysWords(141) As String
	
		Dim SysCallsVersion As Double
	' 1.95	SysCalls module added
	' 1.96	no changes but re-versioned to match the latest BasicIDE library
	' 1.97	no changes but re-versioned to match the latest BasicIDE library
	SysCallsVersion = 1.95 

End Sub

Sub InitializeSysWords
	' DEVICE FUNCTIONS
		SysWords(0) = "windowwidth"
		SysWords(1) = "windowheight"
		SysWords(2) = "screenscale"
		SysWords(3) = "getlayoutvalues"
		
		' ACTIVITY FUNCTIONS
		SysWords(4) = "getfirsttime"
		SysWords(5) = "getsaveddata"
		SysWords(6) = "setsaveddata"
		SysWords(7) = "activityfinish"
		SysWords(8) = "setactivitybackground"
		SysWords(9) = "logcat"
		SysWords(10) = "openmenu"
		SysWords(11) = "closemenu"
		
		' VIEWS AND EVENTS		
		SysWords(12) = "removeview"
		SysWords(13) = "addmenuitem"
		SysWords(14) = "addbutton"
		SysWords(15) = "addtogglebutton"
		SysWords(16) = "addcheckbox"
		SysWords(17) = "addedittext"
		SysWords(18) = "addimage"
		SysWords(19) = "addlabel"
		SysWords(20) = "addlistview"
		SysWords(21) = "addpanel"
		SysWords(22) = "addradiobutton"
		SysWords(23) = "addscrollview"
		SysWords(24) = "addseekbar"
		SysWords(25) = "addspinner"
		SysWords(26) = "addtabhost"
		
		' View FUNCTIONS
		SysWords(27) = "getenabled"
		SysWords(28) = "getvisible"
		SysWords(29) = "gettop"
		SysWords(30) = "getleft"
		SysWords(31) = "getwidth"
		SysWords(32) = "getheight"
		SysWords(33) = "setenabled"
		SysWords(34) = "setvisible"
		SysWords(35) = "settop"
		SysWords(36) = "setleft"
		SysWords(37) = "setwidth"
		SysWords(38) = "setheight"
		SysWords(39) = "bringtofront"
		SysWords(40) = "sendtoback"
		SysWords(41) = "requestfocus"
		SysWords(42) = "setbackgroundimage"
		SysWords(43) = "setcolor"
		SysWords(44) = "setbackground"
		SysWords(45) = "invalidate"		
		
		' TEXTVIEW FUNCTIONS
		SysWords(46) = "setgravity"		
		SysWords(47) = "gettext"
		SysWords(48) = "settext"
		SysWords(49) = "settextcolor"
		SysWords(50) = "settextsize"
		SysWords(51) = "createtypeface"
		SysWords(52) = "settypeface"
		
		' EditText FUNCTIONS
		SysWords(53) = "getselectionstart"
		SysWords(54) = "setforcedonebutton"
		SysWords(55) = "sethint"
		SysWords(56) = "sethintcolor"
		SysWords(57) = "setinputtype"
		SysWords(58) = "setpasswordmode"
		SysWords(59) = "setselectionstart"
		SysWords(60) = "setsingleline"
		SysWords(61) = "aetwrap"
		
		' CheckBox, RadioButton AND ToggleButton FUNCTIONS		
		SysWords(62) = "getchecked"
		SysWords(63) = "setchecked"		
		SysWords(64) = "settexton"
		SysWords(65) = "settextoff"
		
		' Timer FUNCTIONS
		SysWords(66) = "settimerenabled"
		SysWords(67) = "settimerinterval"		
		
		' SeekBar FUNCTIONS		
		SysWords(68) = "getmax"
		SysWords(69) = "getvalue"
		SysWords(70) = "setmax"
		SysWords(71) = "setvalue"
		
		' ScrollView FUNCTIONS
		SysWords(72) = "getscrollposition"
		SysWords(73) = "setscrollposition"
		SysWords(74) = "fullscroll"
		SysWords(75) = "getpanel"
		
		' Spinner FUNCTIONS
		SysWords(76) = "setprompt"
		SysWords(77) = "getselectedindex"
		SysWords(78) = "setselectedindex"
		SysWords(79) = "getselecteditem"
		
		' ListView FUNCTIONS
		SysWords(80) = "setscrollcolor"
		SysWords(81) = "setfastscrollenabled"
		SysWords(82) = "setitemheight"
		SysWords(83) = "getlabel"
		SysWords(84) = "setlayoutbackgroundcolor"
		SysWords(85) = "setlayoutbackgroundcolorgradient"
		
		' ListView AND Spinner FUNCTIONS
		SysWords(86) = "add"
		SysWords(87) = "addall"
		SysWords(88) = "clear"
		SysWords(89) = "getitem"
		SysWords(90) = "removeat"
		SysWords(91) = "getsize"
		
		' TabHost		
		SysWords(92) = "addtab"
		SysWords(93) = "gettabcount"
		SysWords(94) = "getcurrenttab"
		SysWords(95) = "setcurrenttab"
		
		' GRAPHICS FUNCTIONS
		SysWords(96) = "bitmapinit"
		SysWords(97) = "bitmapinitmutable"
		SysWords(98) = "bitmapwidth"
		SysWords(99) = "bitmapheight"
		SysWords(100) = "canvasinit"
		SysWords(101) = "canvasinit2"
		SysWords(102) = "drawbitmap"
		SysWords(103) = "drawbitmaprotated"
		SysWords(104) = "drawcolor"
		SysWords(105) = "drawcircle"
		SysWords(106) = "drawline"
		SysWords(107) = "drawpath"
		SysWords(108) = "drawpoint"
		SysWords(109) = "drawrect"
		SysWords(110) = "drawrectrotated"
		SysWords(111) = "drawtext"
		SysWords(112) = "drawtextrotated"
		
		' Array FUNCTIONS
		SysWords(113) = "fillarray"
		SysWords(114) = "sortarray"
		SysWords(115) = "searcharray"		
		
		' USER INTERACTION FUNCTIONS
		SysWords(116) = "showtoast"
		SysWords(117) = "getinput"
		SysWords(118) = "inputbox"
		SysWords(119) = "inputdate"
		SysWords(120) = "inputfile"
		SysWords(121) = "inputtime"
		SysWords(122) = "inputlistbox"
		SysWords(123) = "inputmultilistbox"
		SysWords(124) = "inputnumber"
		SysWords(125) = "messagebox"
		SysWords(126) = "progressshow"
		SysWords(127) = "progresshide"
		SysWords(128) = "calldoevents"
		
		' File OPERATION FUNCTIONS
		SysWords(129) = "filereadlist"
		SysWords(130) = "filereadstring"
		SysWords(131) = "filewritelist"
		SysWords(132) = "filewritestring"
		SysWords(133) = "filedelete"
		SysWords(134) = "fileexists"
		SysWords(135) = "fileisdirectory"
		SysWords(136) = "filemakedir"
		SysWords(137) = "filelistfiles"
		SysWords(138) = "filedirrootexternal"
		SysWords(139) = "filedirdefaultexternal"
		SysWords(140) = "filedirassets"

End Sub